Subject: virtual memory

From: [email-masked] (Jeff Prothero)
Date: Wed, 14 Apr 1993 13:32:59 -0700

Just on the offchance someone is re-inventing a wheel and would
prefer not to:
  I've posted tinyMuq's virtual memory module to
glia.biostr.washington.edu's anon-ftp incoming/ as muq_vm.tar.Z.
This module can be used a number of ways (e.g., it has support
for copying garbage collection) but in the likely most relevant
mode, it can be used as a virtual-memory replacement for malloc()/
realloc()/free(), with vm_malloc() returning a 32-bit abstract
pointer instead of a hard pointer.  The main runtime cost should
be that instead of doing ptr->field in about 2 clock cycles, you're
going to have to call vm_loc(ptr) at about 15 clock cycles conjectured
average time.
  I have a test suite which runs about 20 minutes which the module
passes, but it has never been used in a running system:  bugs may
remain.
  The code is fairly well documented internally, and likely most
readers of the list don't want to hear more;  I can field questions
via email if anyone wants.  I've included only the minimum fileset
in the above tarfile, I'll be happy to make more available on request.
  Jeff
  [email-masked]
  Oh, this is gnu-copyleft code, if it matters.